Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module subevent :: Class Subevent |
[frames] | no frames]

# Class Subevent

source code

           object --+
                    |
        base.ItemBase --+
                        |
           object --+   |
                    |   |
    item.TimelineItem --+
                        |
              event.Event --+
                            |
                           Subevent

Instance Methods
__init__(self, db=None, id_=None, immutable_value=ImmutableEvent()) x.__init__(...) initializes x; see help(type(x)) for signature | source code
save(self, save_all_subevents=True) | source code
__eq__(self, other) | source code
__ne__(self, other) | source code
__repr__(self) repr(x) | source code
is_container(self) Overrides parent method. | source code
is_subevent(self) Overrides parent method. | source code
get_time_period(self) | source code
set_time_period(self, time_period) | source code
Inherited from `event.Event`: `__ge__`, `__gt__`, `__le__`, `__lt__`, `delete`, `duplicate`, `get_alert`, `get_category`, `get_category_name`, `get_container`, `get_data`, `get_default_color`, `get_description`, `get_done_color`, `get_ends_today`, `get_exportable_fields`, `get_fuzzy`, `get_hyperlink`, `get_icon`, `get_label`, `get_locked`, `get_milestone`, `get_progress`, `get_progress_color`, `get_sort_order`, `get_text`, `get_whole_data`, `has_balloon_data`, `has_data`, `is_milestone`, `reload`, `set_alert`, `set_category`, `set_container`, `set_data`, `set_default_color`, `set_description`, `set_end_time`, `set_ends_today`, `set_fuzzy`, `set_hyperlink`, `set_icon`, `set_locked`, `set_milestone`, `set_progress`, `set_sort_order`, `set_text`, `set_whole_data`, `update` Inherited from `base.ItemBase`: `db`, `ensure_id`, `get_id`, `has_id`, `id`, `set_id` Inherited from `item.TimelineItem`: `distance_to`, `end_to_end`, `get_end_time`, `get_start_time`, `inside_period`, `is_period`, `mean_time`, `move_delta`, `overlaps`, `start_to_end`, `start_to_start`, `time_span`, `update_period`, `update_period_o` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| time_period = `property(get_time_period, set_time_period)`
Inherited from `event.Event`: `alert`, `category`, `container`, `data`, `default_color`, `description`, `ends_today`, `fuzzy`, `hyperlink`, `icon`, `locked`, `progress`, `sort_order`, `text`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, db=None, id_=None, immutable_value=ImmutableEvent()) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### save(self, save_all_subevents=True) | source code
Overrides: event.Event.save

### __eq__(self, other) (Equality operator) | source code
Overrides: event.Event.__eq__

### __ne__(self, other) | source code
Overrides: event.Event.__ne__

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)

### is_container(self) | source code
Overrides parent method. Overrides: event.Event.is_container

### is_subevent(self) | source code
Overrides parent method. Overrides: event.Event.is_subevent

### get_time_period(self) | source code
Overrides: item.TimelineItem.get_time_period

### set_time_period(self, time_period) | source code
Overrides: item.TimelineItem.set_time_period